Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002455TestLinkTest Executepublic2009-04-29 19:072010-05-01 20:31
ReporterJulian 
Assigned Toasimon 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.1 
Fixed in Version1.9 Beta 3 
Summary0002455: Improvement of execution and test case execution assignment filters
DescriptionSetting the "Result on ALL Previous Builds" filter in execution has no effect.
I could not find any docu about that.
Especially there is no information abouit the radiobuttons "in" and "out". I have no idea what they are about.

Screenshot attached
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon exec_filter.PNG [^] (6,390 bytes) 2009-04-29 19:07


png file icon filter_for_testcase_assignment.png [^] (14,175 bytes) 2010-01-15 16:35


bz2 file icon 2544-3026_new-filters.tar.bz2 [^] (97,605 bytes) 2010-02-05 00:30

- Relationships
related to 0002692closedfman Not possible to find TCs based on last result (e.g. cannot find failed TCs that need re-run) 

-  Notes
(0006682)
fman (administrator)
2009-04-29 23:33

You can not say this do not work if you dont understand feature.
Then I suggest do some search on mantis including CLOSED issues where you will find user request then some sort of documentation.

Do not complain about missing documentation, some time we do not have time to develop and document.
do you want to help ?
(0006688)
Julian (reporter)
2009-04-29 23:57

it is not just the missing documentation for me.

only the "in" and "out" radiobutton is a secret for me..

the filter itself is in my opinion selfexplaining.

but still what should that filter do, maybe i misunderstood:
this filter should reduce the amount of testcases assigned to a set of testcases that had a status that is chosen in an older build.

for me the filter has no effect..
(0006690)
fman (administrator)
2009-04-30 00:13

>>this filter should reduce the amount of testcases assigned to a set of >>testcases that had a status that is chosen in an older build.
not in an older IN ALL PREVIOUS

In means result is
Out means result is NOT

You do not provide a test case (detailed steps to reproduce) to follow and reproduce effect.
See details provided by user on 0002425 as an example
(0006691)
Julian (reporter)
2009-04-30 00:37

ok this should be it:

1) create testplan
2) create build 4.0.1.12
3) add several testcases to testplan
4) assign 5 testcases to user JulianK
5) login as JulianK
6) execute testcases for the specific testplan (5 testcases shown)
7) set result of 2 testcases to "failed"
8) set result of 2 testcases to "blocked"
9) set result of 1 testcase to "pass"
10) login as admin
11) create build 4.0.1.13
12) set build 4.0.1.12 to "inactive" , "closed"
13) login as JulianK
14) execute testcases for specific testplan
15) now all 5 testcases are shown as "not run" (as expected)
16) set filter "Result on ALL Previous Builds" to "failed" and check radiobutton "in"
17) apply filter
--> 5 testcases are shown. i expected that only 2 testcases that failed in build 4.0.1.12 are shown.
(0006702)
fman (administrator)
2009-04-30 22:22

Good information, now we can have a better starting point
(0006899)
Julian (reporter)
2009-05-15 16:25

the reason for the filter to not work is that the older build was set inactive and closed.
if the older build is set to closed and active the filter works fine!

can be closed
(0006900)
fman (administrator)
2009-05-15 22:25

Great!
(0007357)
andrigog (reporter)
2009-06-26 15:56

I ran into the same problem, but following Julian's tip of setting the older builds to closed and active did not work.

In my case I have 2 older builds (A and B), both set to closed and active. In the current/latest build (C) I would like to see all blocked test cases from previous builds. Then I configure the filter like this in the Execution screen:

- Build: latest build (C) is selected
- Results on all previous builds: Blocked, and "In" is checked
- "include unassigned test cases" is also checked.
- All other parameters are left untouched

When I click "Apply", I get no test cases at all.

However, if I select build B (previous one), and set "Result = Blocked", I do see 3 blocked test cases there. But these do not appear when I select build C and configure the filter like above.

Am I missing something here?

Thanks in advance!
(0007358)
Julian (reporter)
2009-06-26 16:01

the filter says "result on <ALL> previous builds" meaning:
if you have 2 older builds A and B and you want to see failed tests for those builds you will only get those testcases that failed for A <AND> B.

My workaround: Just have one active old build (and set one after the other to active and use the filter)

hope this helps... quite confusing :D
(0007359)
andrigog (reporter)
2009-06-26 16:09

Damn Julian you are fast in replying :)

Thanks, it seems to work now. Great help!
(0007360)
Julian (reporter)
2009-06-26 16:13

nice to hear :)

it would be great to extend that filter, to have the ability to choose an old build that is used for filtering.
(0007371)
mhavlat (reporter)
2009-06-29 01:08

Thank you Julian for report and feedback. We need to improve that.
(0007419)
andrigog (reporter)
2009-07-01 15:30

See issue 2692. Added some more info about problems with the filters.
(0007976)
qabe (reporter)
2009-09-17 00:05

I think it's a problem if we need to manually go set old builds inactive for this feature to work like we need to, that is maintenance overhead that QA Managers or team members needs to avoid for simple operations.

Hoping this ticket will not drop to the finding of this manual workaround.

Best regards,
QAbe
(0008692)
qabe (reporter)
2010-01-15 03:55

bump
is this ticket planned?
(0008695)
Julian (reporter)
2010-01-15 16:16

as i now am involved in development of testlink i will take care of this.
i cannot guarantee that it will be part of 1.9 as there are other major issues to solve.

regards
(0008696)
Julian (reporter)
2010-01-15 16:37

i would also like to add this filter to testcase assignment page. (screenshot attached)

there this filter makes even more sense, because i can explicit assign testcases that failed for example on last build again for the current build.

The same filter should also be available for test execution.

give me feedback as soon as possible.
(0008701)
qabe (reporter)
2010-01-15 23:55

Just as reference, regarding the workaround of setting older builds to inactive, when that happens, we cannot get their results after, so I like to leave builds active so test results can be consulted anytime.

For our main subject:

I would appreciate a filter allowing to get the following:

If I have run the same test plan for 5 builds, I would like to be able to get, for a given status:

1- the test cases who ended to this status on THEIR LATEST build execution.
ex: option 1= status FAILED, option 2=latest build executed; will get all failed test cases on the latest build execution, permit to run recycles on the next build.

2- the test cases who ended to this status on ANY build execution.
ex: option 1= status FAILED, option 2=any build executed; will get all test cases who failed at least once, permit to select test cases for retest in regression.

Would be useful to have a dropdown for the build, be able to select specific, and have an 'Any' item, and all builds items, and maybe a 'Latest' item (could be a item defaulting to the real latest build executed, or otherwise we could select it as specific).

The IN OUT feature is useful, so would appreciate it stays.

Sorry if that does not directly answer to your question, I was a bit confused so I explained the full picture (I hope)

Best regards
(0008711)
Julian (reporter)
2010-01-18 17:59

I created a new design to filter by result, that could look like this:

Result [Passed, Failed, Blocked, Not Run, ... ]
on [Current Build, Latest Execution, ANY Build, ALL Builds, Specific Build]
(if "on" is set to "Specific Build" -> show Combobox containing Builds:)
(Build [1.0, 1.1, 1.2, ...])

The IN OUT Feature is still available even if those radiobuttons do not exist anymore -> Switch to Advanced Filters and set all results to filter. (i prefer this way, cause in out is hard to understand and advanced filters offer better filtering)
(0008803)
mhavlat (reporter)
2010-01-25 19:14

Regarding documentation ... please, attach an updated text and assign to me. Thanks.
(0008947)
Julian (reporter)
2010-02-05 00:31

first version of new filters ready for review.
(0009006)
fman (administrator)
2010-02-14 23:48

Code commited ready for your tests
(0009118)
Julian (reporter)
2010-02-22 19:39
edited on: 2010-02-22 21:28

feature ready for community testing


- Issue History
Date Modified Username Field Change
2009-04-29 19:07 Julian New Issue
2009-04-29 19:07 Julian File Added: exec_filter.PNG
2009-04-29 23:33 fman Note Added: 0006682
2009-04-29 23:35 fman Status new => feedback
2009-04-29 23:57 Julian Note Added: 0006688
2009-04-30 00:13 fman Note Added: 0006690
2009-04-30 00:37 Julian Note Added: 0006691
2009-04-30 22:22 fman Note Added: 0006702
2009-05-15 16:25 Julian Note Added: 0006899
2009-05-15 22:25 fman Note Added: 0006900
2009-06-26 15:56 andrigog Note Added: 0007357
2009-06-26 16:01 Julian Note Added: 0007358
2009-06-26 16:09 andrigog Note Added: 0007359
2009-06-26 16:13 Julian Note Added: 0007360
2009-06-29 01:08 mhavlat Note Added: 0007371
2009-06-29 01:08 mhavlat Status feedback => new
2009-07-01 15:30 andrigog Note Added: 0007419
2009-09-17 00:05 qabe Note Added: 0007976
2010-01-15 03:55 qabe Note Added: 0008692
2010-01-15 16:14 Julian Status new => assigned
2010-01-15 16:14 Julian Assigned To => Julian
2010-01-15 16:16 Julian Note Added: 0008695
2010-01-15 16:35 Julian File Added: filter_for_testcase_assignment.png
2010-01-15 16:37 Julian Note Added: 0008696
2010-01-15 23:55 qabe Note Added: 0008701
2010-01-18 17:59 Julian Note Added: 0008711
2010-01-25 17:30 Julian Assigned To Julian => asimon
2010-01-25 19:14 mhavlat Note Added: 0008803
2010-02-05 00:30 Julian File Added: 2544-3026_new-filters.tar.bz2
2010-02-05 00:31 Julian Note Added: 0008947
2010-02-05 01:17 fman View Status public => private
2010-02-12 17:20 asimon Relationship added related to 0002692
2010-02-14 23:48 fman Note Added: 0009006
2010-02-22 19:38 Julian View Status private => public
2010-02-22 19:39 Julian Note Added: 0009118
2010-02-22 19:40 Julian Summary Execution Filter "Result on ALL Previous Builds" not working and not documented => Improvement of execution and test case execution assignment filters
2010-02-22 21:28 Julian Note Edited: 0009118
2010-03-02 17:18 asimon Status assigned => resolved
2010-03-02 17:18 asimon Fixed in Version => 1.9 Beta 3 (Next Beta)
2010-03-02 17:18 asimon Resolution open => fixed
2010-05-01 20:31 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker